MonitorInputStream
Date: 2019-10-22

org.openscience.jvxl

## Class MonitorInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.openscience.jvxl.MonitorInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      class MonitorInputStream
      extends java.io.FilterInputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `length`
    `(package private) int` | `markPosition`
    `(package private) int` | `position`
    `(package private) int` | `readEventCount`
    `(package private) long` | `timeBegin`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitorInputStream(java.io.InputStream in, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `getLength()`
    `(package private) int` | `getPercentageRead()`
    `(package private) int` | `getPosition()`
    `(package private) int` | `getReadingTimeMillis()`
    `void` | `mark(int readlimit)`
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`
    `void` | `reset()`
    `long` | `skip(long n)`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, markSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### length

          int length

    - #### position

          int position

    - #### markPosition

          int markPosition

    - #### readEventCount

          int readEventCount

    - #### timeBegin

          long timeBegin

  - ### Constructor Detail

    - #### MonitorInputStream

          MonitorInputStream(java.io.InputStream in,
                             int length)

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### skip

          public long skip(long n)
                    throws java.io.IOException

      Overrides:
        `skip` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### mark

          public void mark(int readlimit)

      Overrides:
        `mark` in class `java.io.FilterInputStream`

    - #### reset

          public void reset()
                     throws java.io.IOException

      Overrides:
        `reset` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### getPosition

          int getPosition()

    - #### getLength

          int getLength()

    - #### getPercentageRead

          int getPercentageRead()

    - #### getReadingTimeMillis

          int getReadingTimeMillis()